Page 1 of 3 123 LastLast
Results 1 to 10 of 26

Thread: Mpeg AAC decoder not found.

  1. #1
    Join Date
    Jul 2008
    Beans
    24
    Distro
    Ubuntu 9.10 Karmic Koala

    Unhappy Mpeg AAC decoder not found.

    Whilst trying to play certain video files on ubuntu 9.04 I can't get sound, the message I get from movie player is that "Mpeg4 AAC decoder" can't be found (whilst searching for the right codec).

    This is really annoying me as the files worked fine a week or so ago, and I can't think of a reason for them to stop now.

    Any packages that you think will allow audio would be great.

  2. #2
    Join Date
    Mar 2008
    Beans
    227

    Re: Mpeg AAC decoder not found.

    gstreamer0.10-plugins-bad is probably what you need.

  3. #3
    Join Date
    Jul 2008
    Beans
    24
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Mpeg AAC decoder not found.

    Quote Originally Posted by monraaf View Post
    gstreamer0.10-plugins-bad is probably what you need.
    I already had that package, so I reinstalled it and still nothing, thanks for trying though.

  4. #4
    Join Date
    Jul 2008
    Location
    Birmingham, England
    Beans
    2,400

    Re: Mpeg AAC decoder not found.

    You may also need faad or faad2 as these are the aac decoders

  5. #5
    Join Date
    Jul 2008
    Beans
    24
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Mpeg AAC decoder not found.

    Quote Originally Posted by SuperSonic4 View Post
    You may also need faad or faad2 as these are the aac decoders
    faad is already on my system, this is really starting to puzzle me.

  6. #6

    Re: Mpeg AAC decoder not found.

    I don't use gstreamer much but maybe check on your ffmpeg libs, search ffmpeg in synaptic and look to see if the un-stripped versions of libavcodec52,.ect are installed

    If not then just mark them for install and apply (don't mark the current versions for uninstall, they will be replaced

    For the gstreamer plug-ins, the most useful are
    bad
    bad-multiverse
    ugly
    ugly-multiverse
    gstreamer-ffmpeg
    pitfdll (enables use of w32codecs

    They all do/enable different things

    you'll see multiple listings for the bad and ugly, the 1st and 4th listed should be enabled

  7. #7
    Join Date
    Sep 2006
    Beans
    3,702

    Re: Mpeg AAC decoder not found.

    Quote Originally Posted by mc4man View Post
    I don't use gstreamer much but maybe check on your ffmpeg libs, search ffmpeg in synaptic and look to see if the un-stripped versions of libavcodec52,.ect are installed
    I believe the unstripped FFmpeg libraries will not provide any additional decoders, although it will provide some restricted encoders: h261, h263, h263p, libfaac, libmp3lame, libx264, libxvid, mpeg2video, mpeg4, msmpeg4, msmpeg4v1, and msmpeg4v2. However, this is based on an Intrepid system. Things may be different for Jaunty.

  8. #8

    Re: Mpeg AAC decoder not found.

    I believe the unstripped FFmpeg libraries will not provide any additional decoders
    as mentioned don't use gstreamer apps, but a quick test with the default totem shows Mpeg-4 AAc is enabled with the gstreamer0.10-plugins-bad (first listed in synaptic


    Edit:
    while gstreamer doesn't break up the bad and ugly here's a list
    http://gstreamer.freedesktop.org/doc...n/plugins.html
    Last edited by mc4man; July 16th, 2009 at 03:50 AM.

  9. #9
    Join Date
    Jul 2008
    Beans
    24
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Mpeg AAC decoder not found.

    Here is a screenshot of the Gstreamer plugins, ffmpeg, faad, and faac packages installed and the error from Totem as text.
    Code:
    (totem:15236): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstfaad.so': libfaad.so.0: cannot open shared object file: No such file or directory
    /var/lib/python-support/python2.6/gdata/tlslite/utils/cryptomath.py:9: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
      import sha
    ** Message: don't know how to handle audio/mpeg, mpegversion=(int)4, framed=(boolean)true, codec_data=(buffer)131056e59d4800, channels=(int)2, rate=(int)48000
    Segmentation fault
    I'm really confused, I've reinstalled all the Gstreamer ones, faad, ffmpeg and faac in the past 24 hours, still nothing.

    Going from the list posted above by mc4man the faad plugins required are in the bad plugin set, however I have that installed.

    (Again thanks for trying)

    P.s. I'm quite new to the linux scene and nothing has really thrown me off so much as this has, it did work and then magically stopped working. I get sound through Mplayer, however I need Gstreamer to work as I would like to use Moovida media center and it runs on Gstreamer.
    Attached Images Attached Images
    Last edited by cheesepenguins; July 16th, 2009 at 02:01 PM.

  10. #10

    Re: Mpeg AAC decoder not found.

    A few things somewhat from afar (using hardy, the gstreamer plugins i have are rebuilt and installed from my local repo

    There are many reported bugs in jaunty that concern totem, particularly with intel and some ati video. Your issue may lie there.

    While the error reports audio why don't you see if you can or can't play a m4a (aac) audio file with a gstreamer app (totem and or rhythmbox

    If you don't have an audio m4a/aac file then try this. Open up rhythmbox -> play queue and drop your mp4 video file into it. If the audio's playable rhythmbox will play it. (no video of course

    While the aac audio is enabled by the plugin your showing installed and libfaad0, you're not showing the multiverse versions of bad and ugly, you should see them in synaptic, 4th listed for both.
    If not there or installed/ installable, then check your sources to make sure multiverse repo is enabled (System -> Admin, -> Software Sources, 4th listed under Ubuntu Software tab.

Page 1 of 3 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •